blob_id
stringlengths
40
40
language
stringclasses
1 value
repo_name
stringlengths
4
115
path
stringlengths
2
970
src_encoding
stringclasses
28 values
length_bytes
int64
31
5.38M
score
float64
2.52
5.28
int_score
int64
3
5
detected_licenses
listlengths
0
161
license_type
stringclasses
2 values
text
stringlengths
31
5.39M
download_success
bool
1 class
9625805602fa21c5b22980b607c501ab3cda90ef
Shell
joshuaflores/http-request
/publish.sh
UTF-8
1,095
4.03125
4
[ "Apache-2.0" ]
permissive
#!/bin/bash set -e # Notes: # - Use only "master" branch # - New release gets always published as LATEST RED='\033[0;31m' NC='\033[0m' # No Color PACKAGE_VERSION=`node -pe "require('./package.json').version"` BRANCH=`git status | grep 'On branch' | cut -d ' ' -f 3` BRANCH_UP_TO_DATE=`git status | grep 'nothing to c...
true
8c3785034ecbce79eedc96874c6e4d5ef611efcc
Shell
Duan-JM/dotfiles
/zsh/zsh-config/alias.sh
UTF-8
2,102
2.875
3
[ "MIT" ]
permissive
# Temporary Settings alias github='cd ~/Documents/Github' alias zshrc='vim ~/.zshrc' alias vimrc='vim ~/.vimrc' alias vi='nvim' alias vim='nvim' alias pg='cd ~/Downloads/CodeTest' alias cpv='rsync -ah --info=progress2' alias task='asynctask -f' alias gch='git branch -a | fzf| tr -d "[:space:]"' alias python3='/opt/home...
true
0ea2b4a32b1b7d8f5195f64682c26f5ed492a6f7
Shell
libos-nuse/nuse-msmt
/eurosys/nginx/nginx-plot.sh
UTF-8
4,252
2.65625
3
[]
no_license
OUTPUT=$1 mkdir -p ${OUTPUT}/out PKG_SIZES="64 128 256 512 1024 1500 2048" # parse outputs # thpt (req/sec) grep -E -h Req/Sec ${OUTPUT}/nginx*-lkl-[0-9].* \ | awk '{print $2 " " $3}' | sed "s/k/ 1000/g" | awk '{print $1*$2*2 " " $3}' \ > ${OUTPUT}/nginx-lkl-thpt.dat grep -E -h Req/Sec ${OUTPUT}/nginx*-native...
true
69c7d8037cc9f617bd8a224e0063f4a16faa3568
Shell
RickCardoso/test-rehearsals
/scripts/git-check.sh
UTF-8
144
3.15625
3
[]
no_license
#!/bin/sh ERROR_MESSAGE="${GREEN}No changes to be pushed${NC}" if ( ! git status --branch --short ); then echo $ERROR_MESSAGE exit 1 fi
true
0281163a71c956b9efe0672e7ca653e76c878e88
Shell
Pocsel/pocsel
/tests/old/mktests.sh
UTF-8
1,595
4.15625
4
[]
no_license
#!/bin/sh SCRIPT="$0" SCRIPTDIR=`python -c "import os;print os.path.abspath(os.path.dirname('$SCRIPT'))"` test -d "$SCRIPTDIR/build" || mkdir "$SCRIPTDIR/build" ( cd build && cmake "$SCRIPTDIR" && make ) || exit 1 TESTS="" for f in "$SCRIPTDIR"/build/* do [ -x "$f" -a -f "$f" ] && TESTS="$TESTS $f" done print...
true
5280f4d9fc658a84c763f3aa0c58af1eeea3e9ec
Shell
minghuadev/minecraft-tests
/other-javasamples/webcam-openipc-t31/docker-gen.bash
UTF-8
3,245
3.5
4
[]
no_license
#!/bin/bash # docker-gen.bash # special suffix for user name and directories # e.g. "u7" will create: # oipcu7 --docker guest user name # oipcimgu7 --docker image name # obu7 --docker container name ux="u7" echo Creating bb.dockerfile ... # create bb.dockerfile: cat << EOF...
true
a177d6d9680a0e0149ce22c26a0b88842fb8facc
Shell
DanielChuDC/how-to-create-logical-volume
/scripts/example.sh
UTF-8
1,990
3.71875
4
[]
no_license
#!/bin/bash # Create Physical Volumes # Assume that you have a /dev/xvdc as data disk # Using pvcreate to create a logical volume based on data disk pvcreate /dev/xvdc # Create Volume Groups # Using vgcreate to create a volume group vgcreate icp-vg /dev/xvdc # Create Logical Volumes # ${kubelet_lv} ${etcd_lv} ${docke...
true
367096ac2e204a6af5b169e990840f3cda8b2e45
Shell
baekip/Util_Script
/sh_run/other_sh/telomeric_sh/telo-seq.sh
UTF-8
449
2.71875
3
[]
no_license
#!/bin/bash sample_id=$1 project_path=/bio/BioProjects/YSU-Human-WGS-2016-12-TBD160883/ fastq_path=$project_path/result/01_fastqc_orig/$sample_id/ fastq_1=$fastq_path/$sample_id\_1.fastq fastq_2=$fastq_path/$sample_id\_2.fastq output_path=$project_path/result/00_telo-seq/ log_file=$output_path/$sample_id\.telo-seq.log ...
true
f2e15219a0e7b2d2ef80923f1b289c568078ec01
Shell
Bondzio/AUR
/mingw-w64-sqlite/PKGBUILD
UTF-8
1,621
2.8125
3
[]
no_license
# Contributor: napa3um <napa3um@gmail.com> # Contributor: Filip Brcic <brcha@gna.org> pkgname=mingw-w64-sqlite _amalgamationver=3080900 pkgver=3.8.9 pkgrel=1 pkgdesc="A C library that implements an SQL database engine (mingw-w64)" arch=(any) groups=(mingw-w64) depends=(mingw-w64-crt) makedepends=(mingw-w64-configure mi...
true
1200b02cab84aac37621e6369b224eb047ffe28b
Shell
mingaleg/turingmarkov
/ejudge-binding/turing
UTF-8
662
3.4375
3
[ "WTFPL" ]
permissive
#!/bin/sh # Ejudge binding for turing compiler. # Based on: # * https://ejudge.ru/wiki/index.php/Foo-version.in # * https://github.com/blackav/ejudge/tree/master/scripts LANG_CONFIG_DIR="/home/judges/compile/conf/lang.d" [ "${EJUDGE_LANG_CONFIG}" = "" ] && EJUDGE_LANG_CONFIG="${LANG_CONFIG_DIR}/turing" if [ -f "${E...
true
ba539fb1257377c4bed1a8bf59f5bc61134add33
Shell
dantesun/dotfiles-shell
/home/tools/bin/ssh
UTF-8
894
3.859375
4
[]
no_license
#!/bin/bash ssh() { TMPDIR=~/tmp case "$(uname -s)" in CYGWIN_NT* | Linux) tmp_fifo=$(mktemp -u --suffix=._ssh_fifo) ;; Darwin) tmp_fifo=$(/usr/bin/mktemp -u -t ._ssh_fifo) ;; *) tmp_fifo= ;; esac SSH="/usr/b...
true
8ab35c2e54146eaf4404451bf65eef4a7c8653d8
Shell
acidburn0zzz/svntogit-community
/python-llvmlite/trunk/PKGBUILD
UTF-8
812
2.546875
3
[]
no_license
# Maintainer: Konstantin Gizdov <arch at kge dot pw> _pkgname=llvmlite pkgbase="python-${_pkgname}" pkgname=("${pkgbase}") pkgver=0.38.0 pkgrel=1 pkgdesc='A Lightweight LLVM Python Binding for Writing JIT Compilers' arch=('x86_64') makedepends=('cmake' 'llvm11' 'git' 'python-setuptools' 'python-setuptools-scm') depend...
true
108e74715e51a4f40f53dc4b3297cefc9b83d5d1
Shell
rohelvai/iAmLazy
/Bash/oracle_11g_installer.sh
UTF-8
2,449
3.34375
3
[ "MIT", "CC-BY-NC-SA-4.0" ]
permissive
#!/bin/bash echo -e "[+] Installing Oracle 11g XE..." sudo apt-get update -y # unzip oracle-xe-11.2.0-1.0.x86_64.rpm.zip sudo apt-get install alien libaio1 unixodbc -y sudo alien --scripts -d oracle-*.rpm # sudo alien -i --scripts oracle-*.rpm sudo touch /sbin/chkconfig echo -e "[+] Writing the following config to C...
true
54a96f5a201d54c6e1311d3cb4744cf358bf09b7
Shell
Anastassiya08/BigData_course
/HW/hw1/605/run.sh
UTF-8
276
3.078125
3
[]
no_license
#!/bin/bash dd if=/dev/zero of=ex.txt bs=$1 count=1 hdfs dfs -put ex.txt /data sizes=$(hdfs fsck /data/ex.txt -files -blocks | grep -E -o -w "len=\w+" | sed 's|.*=||') hdfs dfs -rm /data/ex.txt for i in $sizes do total=$(($total+$i)) done diff=$(($total-$1)) echo $diff
true
2fb9e75218ae0f9cf8cfbb10dd68039191975ff0
Shell
apache/flink
/flink-python/pyflink/bin/pyflink-udf-runner.sh
UTF-8
1,977
3.25
3
[ "BSD-3-Clause", "OFL-1.1", "ISC", "MIT", "Apache-2.0" ]
permissive
#!/usr/bin/env bash ################################################################################ # Licensed to the Apache Software Foundation (ASF) under one # or more contributor license agreements. See the NOTICE file # distributed with this work for additional information # regarding copyright ownership. T...
true
99d798c6cd5cfb10368dba1eca5c70121604b3fb
Shell
neechbear/dotfiles-example
/.profile.d/010-environment-common.sh
UTF-8
2,060
3.03125
3
[ "MIT" ]
permissive
# Setting environment variables DOTFILES_SYMLINK_SOURCE and # DOTFILES_SYMLINK_TARGET will provide default values for the # dotfiles-symlink-files command. #if [ -n "$HOME" ] && [ -d "$HOME" ] && [ -z "$DOTFILES_SYMLINK_SOURCE" ] ; then # if [ -x "$HOME/src/rcfiles/bin/dotfiles.sh" ] ; then # DOTFILES_SYMLINK_SOUR...
true
d2cc2408b8863c5b002130bacc98712ede9397f1
Shell
marciopocebon/mnk-game-test
/fabulous.sh
UTF-8
4,910
3.921875
4
[ "MIT" ]
permissive
#!/bin/bash #mnk-game-test #Following repository: https://github.com/martialdidit/mnk-game-test #Martial Puygrenier - martialdidit #last update : 32/11/2014 STARTTIME=$(date +%s) declare pass=0 declare fail=0 total=149 red='\e[41m' blue='\e[1;34m' purple='\e[1;31m' yellow='\e[43m' NC='\e[0m' # No Color bold=`tput b...
true
44453084901f8c9dc663b048a512bbf80db89a55
Shell
GatorShan/Tragopogon-Inflorescence-RNA-seq-Analysis
/Annotation/Trinotate_Functional_Annotation/Trinotate_Blast_Tdu_3.0.sh
UTF-8
1,263
2.71875
3
[]
no_license
#!/bin/bash #SBATCH --job-name=Trinotate_Blast_Tdu_3.0 #SBATCH --mail-user=shan158538@ufl.edu #SBATCH --mail-type=FAIL,END #SBATCH --output=Trinotate_Blast_Tdu_3.0_%j.out #SBATCH --error=Trinotate_Blast_Tdu_3.0_%j.error #SBATCH --nodes=1 #SBATCH --ntasks=1 #SBATCH --cpus-per-task=16 #SBATCH --mem=2gb #SBATCH --time=5-...
true
1ef0f393d497f15f0215971fe34869b136dc3577
Shell
Ankitha016/Unix
/fieoperations/file_operation2.sh
UTF-8
314
2.921875
3
[]
no_license
#!/bin/sh echo "Enter the source file name" read file1 echo "Enter the destination file name" read file2 echo "Contents of file1" cat $file1 echo "Contents of file2" cat $file2 cp $file1 $file2 echo "After copying contents file2 has contents" cat $file2 mv $file1 $file2 echo "After renaming file1 file to a" ls
true
aea2e3d4c2d60407e279fec6714273b832591b0b
Shell
AlexisEspinosaGayosso/OF-rsyncScripts
/myBackupFunctions.sh
UTF-8
12,745
3.390625
3
[]
no_license
#!/usr/bin/env bash #FUNCTIONS #------------------------------------------- #Defining the basic backup function basicBackup() { echo "#--------------------------------------------------" | tee -a ${logJob} echo "CaseDir=${caseDir}" | tee -a ${logJob} echo "#--------------------------------------------------" | tee -a ...
true
2b8e0bc14845478588ccec3e1942678157edcac2
Shell
cysouw/Reproducible-Research
/example valency/code/recode.sh
UTF-8
128
2.671875
3
[]
no_license
#!/usr/bin/env bash for file in *.txt ; do iconv -f UTF-16LE -t UTF-8 "$file" | tr -d "\r" > ../data_recoded/"$file" done
true
3220d828e1635a4605de49c5c792b7bd7a3c496d
Shell
rettier/c
/c
UTF-8
3,320
4.0625
4
[ "MIT" ]
permissive
#!/bin/bash # ------------------------------------------------------------------------------ # inlined version of Michael Kropat's (mkropat) realpath.sh # https://github.com/mkropat/sh-realpath # this is to get rid of the core-utils dependency on osx realpath() { canonicalize_path "$(resolve_symlinks "$1")" } res...
true
6ba053e46698a1e6491941b6b1840c3962e83d27
Shell
milkbugdoctor/PD_libs
/work/run_mira
UTF-8
654
3.359375
3
[]
no_license
#!/bin/bash if [ $# -lt 3 ]; then echo -e "\nUsage: $0 fasta qual ref output-dir\n" exit 1 fi fasta="$1" ; shift qual="$1" ; shift ref="$1" ; shift dir="$1" ; shift mkdir -p "$dir" || exit 1 if [ ! -s "$fasta" ]; then echo -e "$fasta not found!" 1>&2 exit 1 fi ln -s "`abs_path \"$fasta\"`" $dir/mira...
true
cb8613330d63c2d67a93da3f690c8c63268aef1e
Shell
mabnhdev/ops-debian
/openswitch/ops-init-alphanetworks.sh
UTF-8
668
2.875
3
[]
no_license
#!/bin/bash set -x # TODO: This is not the right place for this. Must be recreated # after reboot since /var/run is tmpfs. if [ ! -d /var/run/openvswitch ] ; then mkdir -p /var/run/openvswitch fi # Turn on manual fan control for SNX-60A0-486F # TODO: Add GPIO support to OpenSwitch and set through there if ...
true
700c8ab8fc777c3fd72ef27fdebd443622d1b1c4
Shell
xfp-2013/tplenx
/docker/home/.bashrc
UTF-8
465
2.578125
3
[]
no_license
# ~/.bashrc: executed by bash(1) for non-login shells. # see /usr/share/doc/bash/examples/startup-files (in the package bash-doc) # If this is an xterm set the title to user@host:dir PS1='\h:\w\$ ' # colored GCC warnings and errors export GCC_COLORS='error=01;31:warning=01;35:note=01;36:caret=01;32:locus=01:quote=01'...
true
7b2df6b4c7ab64da2e35ba67a45e5df5759eb6af
Shell
metamorph-inc/meta-core
/bin/Python27/ubuntu_create_venv.sh
UTF-8
1,614
2.796875
3
[ "LicenseRef-scancode-other-permissive" ]
permissive
#!/bin/bash set -e #http_proxy=kms1.isis.vanderbilt.edu:8888 #export http_proxy # cache svn password # svn cat https://svn.isis.vanderbilt.edu/META/trunk/bin/Python27/Lib/site-packages/PCC-py2.7.egg > /dev/null OPENMDAO_VERSION=${OPENMDAO_VERSION:-0.2.7} # libfreetype6-dev: building 'matplotlib.ft2font' extensi...
true
094f62f48a263af932ffc5cd09c8f7da3750a910
Shell
fluidchunky/carmel.eos
/commands/deploy.dev.sh
UTF-8
404
3.546875
4
[]
no_license
CONTRACT=$1 if [ -z $CONTRACT ]; then echo "What do you want to deploy?" exit 1 fi case "${CONTRACT}" in eos) deploy_dev_eostoken_contract ;; tokens) deploy_dev_contract carmeltokens ;; system) deploy_dev_contract carmelsystem ;; *) err...
true
a4c56420a3696ae3d9d621bb25800dc4f9e7496f
Shell
lsof-org/lsof
/lib/dialects/sun/Mksrc
UTF-8
604
3.546875
4
[ "LicenseRef-scancode-purdue-bsd" ]
permissive
#!/bin/bash # # Mksrc - make Solaris source files # # WARNING: This script assumes it is running from the main directory # of the lsof, version 4 distribution. # # One environment variable applies: # # LSOF_MKC is the method for creating the source files. # It defaults to "ln -s". A common alternative is "cp". # #...
true
55ff5f4a4f94a83f44f7b48c2730532a0e8c6783
Shell
ben-hidalgo/scorpicode
/devops/scripts/docker-build.sh
UTF-8
1,009
2.65625
3
[ "MIT" ]
permissive
#!/bin/bash set -exuo pipefail HATS_TAG=`yq r devops/helmchart/tags.yaml hats.tag` WEBSITE_TAG=`yq r devops/helmchart/tags.yaml website.tag` FRONTEND_TAG=`yq r devops/helmchart/tags.yaml frontend.tag` ROXIE_TAG=`yq r devops/helmchart/tags.yaml roxie.tag` SOXIE_TAG=`yq r devops/helmchart/tags.yaml soxie.tag` DEBUGGER_T...
true
2f723ad278c19c138caf69d676f0ab2d87433f09
Shell
Romainj1/ProjetRMI
/run.sh
UTF-8
657
3.25
3
[]
no_license
#!/bin/bash ./compile.sh lancerserveur(){ rm -f ./rmipresence ps aux | grep rmiregistry | grep -v grep > rmipresence rmipresence="rmipresence" if [ -s $rmipresence ] then echo "rmiregistry déjà lancé" else echo "Lancement rmiregistry ..." cd ./classes && rmiregistry& ...
true
c9758114e20aa60ef430342bd94703767f79e953
Shell
tomaszbartoszewski/avro-kafka-binary-encoding
/complex_object.sh
UTF-8
2,298
3
3
[ "MIT" ]
permissive
#!/bin/bash # Read schema and message from files schema=$(cat worker.avsc | tr -d '\n ' | sed -E 's/"/\\"/g') message=$(cat worker_message_value.json | tr -d '\n ') # Publish message to Kafka curl -X POST -H "Content-Type: application/vnd.kafka.avro.v2+json" \ -H "Accept: application/vnd.kafka.v2+json" \ ...
true
c3e86cb50dfdfc1019aa3e788e5be7d923238221
Shell
huxley-open-source/huxley-infra-open-source
/apparmor/safe_scripts/Octave.run
UTF-8
1,314
3.890625
4
[]
no_license
#!/bin/bash # parameters are: # $1 source_file # $2 input_file # $3 timelimit (in seconds) # # the output of the submission should be directed to the standard output # # Please, see Readme.md to a complete list of return codes # IFS=$'\n' DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" . $DIR/config.propertie...
true
4bf2572e0b57583964759d000b08b491b0cde4b9
Shell
tony2heads/My-miriad-scripts
/read.sh
UTF-8
368
2.59375
3
[]
no_license
#!/bin/sh # converts fits files to miriad format and adds header data for PKS1934-638 for x in *.fits do ( ndot=${x%%fits} fits in=$x out=${ndot}mir op=uvin puthd in=${ndot}mir/systemp value=20.0 puthd in=${ndot}mir/jyperk value=20.0 ) done puthd in=PKS1934-638.mir/source value=1934-638 #puthd in=3C48.mir/source va...
true
c9b6866ef561fa71b616fdd1a5ae07a6dcbf85cb
Shell
v8tix/kongo
/example.sh
UTF-8
2,252
2.625
3
[ "CC-BY-4.0" ]
permissive
#!/usr/bin/env bash echo -e "\nAdding datagen pageviews:" curl -X POST -H "Content-Type: application/json" --data ' { "name": "datagen-pageviews", "config": { "connector.class": "io.confluent.kafka.connect.datagen.DatagenConnector", "kafka.topic": "pageviews", "quickstart": "pageviews", "...
true
324c2e0e0e7c42e891ac1ab756d0e834eac8b200
Shell
wolfsearch/obsolete.op-identity-provider-client
/scripts/digitalocean/postdeploy.sh
UTF-8
875
3.265625
3
[]
no_license
#!/bin/bash -e ####################################################### # Minimal deployed PIO service structure ####################################################### CONFIGURED_DIR=$(date +%s%N) if [ ! -d "configured/$CONFIGURED_DIR" ]; then mkdir -p configured/$CONFIGURED_DIR fi cp -Rf sync/scripts configured/$CO...
true
b84a8ddd827b5d1ac05b0b8629450beb28576e55
Shell
WPYNB/scripts
/reset/centos/yum/setcfg.sh
UTF-8
279
3.359375
3
[]
no_license
#!/bin/bash . ver.sh ver=$(ver) path=$(pwd)/$ver #备份仓库 mkdir /etc/yum.repos.d/bak mv /etc/yum.repos.d/*.repo /etc/yum.repos.d/bak #设置为本地cd光盘仓库 if [ $1 == cd ];then . $path/cd.sh return fi #设置源 cp $path/yum/$1/*.repo /etc/yum.repos.d/
true
4728b828a2aa62094710d842c79f50c8f6a5c555
Shell
origin2007/Serverize
/serverize
UTF-8
311
3.484375
3
[]
no_license
#!/bin/sh echo "serverize, a tool to make any long-term running program a deamon in linux system" echo "version 0.1" if [ $# -eq 0 ]; then echo "usage: $0 (appname) [parameters]" return 1 fi command="$*" nohup $command > "/tmp/$1.log" 2>&1 & echo "app output will be directed to /tmp/$1.log" echo "done!"
true
b0529a4a385b5019de8e84add47e7d3cd55dc247
Shell
utdemir/midye
/tmux.sh
UTF-8
287
3.09375
3
[]
no_license
#!/usr/bin/env sh set -o errexit tmpdir="$(mktemp -d)" trap "rm -rf '$tmpdir'" EXIT cmd="$1" TMUX="tmux -S "$tmpdir/tmux.sock" -f /dev/null" $TMUX new-session -d -x 90 -y 20 "$cmd; tmux wait-for -S finished; sleep 1h" $TMUX wait-for finished $TMUX capture-pane -p $TMUX kill-session
true
3324dad7449bb7204a7accbc7f97d43c91b81c5b
Shell
jojow/artifactmgr
/run.sh
UTF-8
514
2.734375
3
[ "MIT" ]
permissive
#!/bin/bash # # Set environment variable for OpenTOSCA's operation invoker: # export ARTIFACT_MANAGER_URL=http://localhost:8888/runs?reqTransformer=PlainConfigInput # if [ -z "$ARTIFACT_MANAGER_DIR" ]; then ARTIFACT_MANAGER_DIR="$HOME/artifactmgr" fi NVM_DIR="$ARTIFACT_MANAGER_DIR/.nvm" source $NVM_DIR/nvm.s...
true
c1f3d965fad0c62c240e083d2f328defc5a947b6
Shell
mojianhua/shell
/ListenPidAndRestart.sh
UTF-8
584
3.40625
3
[]
no_license
#!/bin/bash #判断es的9200端口是否已经打开 port=`lsof -i:9200` #如果9200不存在在尝试启动es的master进出并且发送邮件通知 if [ ! -n "$port" ]; then { echo '【'`date +"%Y-%m-%d %H:%M:%S"`】-----'【端口不存在,尝试启动es服务】'>>/Applications/shell/error.log `echo "es出错重启es:9200" | mail -s "es出错" 1657210793@qq.com` `/Applications/XAMPP/htdocs/es/elasticsearch_master/bin/e...
true
f67ee651866679c538670f769d5b09cc04fa7e3a
Shell
RubenTadeia/PF
/Lab4/Part2/tools_grid/scripts/build_flists_test.sh
UTF-8
379
3.28125
3
[]
no_license
#!/bin/sh CWD=`pwd` echo "====================== Make lists ===========================" for SID in `seq 34`; do echo "" echo "-------- Speaker $SID --------" cd $CWD CD1="data/test/id$SID" cd $CD1 TMPID="test_id$SID.list" ls *.wav |sed 's/\.wav//' > $CWD/flists/$TMPID done echo "--...
true
1bf5659b7712be7af56c3833e906655aed61ff6b
Shell
anderoav/skript
/praks6/yl1
UTF-8
295
2.828125
3
[]
no_license
#!/bin/bash # # Ülesanne1 # echo -n "Sisesta täisarv: " read arv vastus=$(($arv % 2)) #vastus 2-ga jagamisel if [ $vastus -eq 0 ] then echo "$arv on paaris" #kui on paaris siis väljastab selle else #kui midagi muud echo "$arv on paaritu" #paaritu siis väljastab selle fi # # Skript lõppes
true
e3579c2cdc71394eefcdebc61b094397bf7ae2af
Shell
rickding/HelloPython
/open_face/data/download-lfw-subset.sh
UTF-8
1,561
4.09375
4
[ "MIT", "Apache-2.0" ]
permissive
#!/bin/bash # Download data. cd "$(dirname "$0")" die() { echo >&2 $* exit 1 } checkCmd() { command -v $1 >/dev/null 2>&1 \ || die "'$1' command not found. Please install from your package manager." } checkCmd wget checkCmd tar printf "\n\n====================================================\n" printf "D...
true
9985e3ed1a2ea4d05f7c0fbceb34961379bfdf5c
Shell
tenreads/ops-scripts
/feed_provision.sh
UTF-8
868
2.921875
3
[]
no_license
#! /usr/bin/env bash function setupRepo() { cd /root/ git clone $feedpuller_repo cd $feedpuller_path } function setupRequirements() { pip install -r requirements.txt echo """import sys, nltk;nltk.download('stopwords');sys.exit()""" >> /root/nsetup.py python /root/nsetup.py rm /root/nsetup....
true
bc225c9142dc2c700fd2ccadfaf20e9b1f30fa2f
Shell
fams/ninjaserver
/linuxplace/scripts/aplica_squid.sh
WINDOWS-1250
1,391
2.625
3
[]
no_license
#!/bin/sh ################################################################################ #Config SQUID ################################################################################ LXHOME=/usr/local/linuxplace #Pega variveis . $LXHOME/config/ldap . $LXHOME/config/lxn . $LXHOME/config/squid #variveis auxiliares #C...
true
90711f0b2edb51409272d9833d2c6a6e7f595f82
Shell
deweerdt/tamis
/tests/test2.sh
UTF-8
372
3.234375
3
[]
no_license
#!/bin/bash # # sample output of test2: # # Lock is 0x804a010 # Access @ 0x8048890 was protected by lock 0x804a010 TESTDIR=. OUTPUT=$($TESTDIR/test2 2>&1) [ $? -ne 0 ] && exit $? DECL_LOCK_ADDR=$(echo $OUTPUT | sed 's/^Lock is \([^ ]*\).*/\1/') FOUND_LOCK_ADDR=$(echo $OUTPUT | sed 's/.*was protected by lock \([^ ]*\)....
true
b19e1d8a18e425305c710e86b580a1c52bc918d7
Shell
song10/bin
/unity_minimize.sh
UTF-8
289
2.53125
3
[]
no_license
#!/bin/sh # gsettings set org.compiz.unityshell:/org/compiz/profiles/unity/plugins/unityshell/ launcher-minimize-window true/false ANS=true if [ -n "$1" ]; then ANS="$1"; fi gsettings set org.compiz.unityshell:/org/compiz/profiles/unity/plugins/unityshell/ launcher-minimize-window ${ANS}
true
568ad6ac13a1a3724253b6a737bb78c089af15d0
Shell
xuebingwu/hyper-editing
/hyper_editing
UTF-8
5,691
3.828125
4
[ "MIT" ]
permissive
#!/bin/bash help () { echo "" echo "Usage: hyper_editing [Options] -sra_id SRR***** | -fastq r1.fastq [-fastq2 r2.fastq]" echo "" echo "Options:" echo " -sra_id <STR> Use fastq-dump to fetch fastq files using SRA IDs (SRR***)" echo " -fastq <FILE> Local input fastq file (read1/mate1 if paired-end)" ec...
true
ecebf12af47693a9ff67c35c2a8f96f871dc422e
Shell
pier-bezuhoff/Clonium4Android
/graphics/green_remake/render.sh
UTF-8
457
3.546875
4
[]
no_license
#!/bin/bash # make 1..7 holes in every file in bases/ by hole masks from holes/ adding hole outline from hole_outlines/ and storing in set/ base_dir=${1:-"bases/"} holes_dir=${2:-"holes/"} outlines_dir=${3:-"hole_outlines/"} output_dir=${4:-"set/"} render_base_script=${5:-"./render_base.sh"} for base_file in ${base_dir...
true
49f1e7ca3914aa49679cda5c6c1b59890504147d
Shell
ALTISLIFERPG-XOREAXEAX-DE/Deployment
/bin/release.sh
UTF-8
3,272
3.625
4
[]
no_license
#!/bin/bash RELEASE="${1}" DATESTAMP="${2}" RELEASE_DIRECTORY="/cygdrive/c/CYGWIN_RELEASES/${RELEASE}/${DATESTAMP}" SOURCE_UPSTREAM="../Upstream/Altis-4.4r2/Altis-4.4r2" SOURCE_TREE="../Altis" SOURCE_MISSION="../Mission" SOURCE_TEXTURES="../Textures" PBO_CONSOLE="/cygdrive/c/Program Files/PBO Manager v.1.4 beta/PBO...
true
81faf02fe96e92484da9221dc100cc974311aeb7
Shell
mblair/setup
/to_clean_up/postgresql.sh
UTF-8
1,968
3
3
[ "LicenseRef-scancode-unknown-license-reference", "MIT" ]
permissive
#Determine prereqs for CentOS and Ubuntu. cd /home/matt/src wget http://wwwmaster.postgresql.org/redir/198/h/source/v$POSTGRES_VER/postgresql-$POSTGRES_VER.tar.bz2 tar xjvf postgresql-$POSTGRES_VER.tar.bz2 cd postgresql-$POSTGRES_VER ./configure make -j4 checkinstall --fstrans=no make install-world #installs man page...
true
57042a0b939a25d47af69d46aebec7fedccf07b1
Shell
PropertyBrands/btt-drupalcamp-denver-2015-scripts
/provisioning/create-db.sh
UTF-8
360
3.484375
3
[]
no_license
#!/bin/bash EXPECTED_ARGS=3 E_BADARGS=65 MYSQL=`which mysql` QUERY1="CREATE DATABASE IF NOT EXISTS $1;" QUERY2="GRANT ALL ON *.* TO '$2'@'localhost' IDENTIFIED BY '$3';" QUERY3="FLUSH PRIVILEGES;" SQL="${QUERY1}${QUERY2}${QUERY3}" if [ $# -ne $EXPECTED_ARGS ] then echo "Usage: $0 dbname dbuser dbpass" exit ${E_B...
true
0dee2b1b5793f25301fac46b0be0a7aad61ecc74
Shell
LGSInnovations/edison-debian-image
/edison-image-edison-ext4/var/lib/dpkg/info/lynx.preinst
UTF-8
1,562
3.90625
4
[]
no_license
#!/bin/sh set -e # Inspired by # http://wiki.debian.org/DpkgConffileHandling # Remove a no-longer used conffile rm_or_moveconffile() { PKGNAME="$1" CONFFILE="$2" NEWDIR="$3" if [ -e "$CONFFILE" ]; then md5sum="`md5sum \"$CONFFILE\" | sed -e \"s/ .*//\"`" old_md5sum="`dpkg-query -W -f='...
true
e6462f6d0c753b1380285aa8a3d9ec8969f6ad9e
Shell
matthewwedlow/Expect_Scripts
/script.sh
UTF-8
1,396
3.109375
3
[]
no_license
#!/usr/bin/expect -f # Set variables set hostname [lindex $argv 0] set username $env(USER) set password [lindex $argv 1] set enablepassword [lindex $argv 2] # Log results log_file -a ~/results.log # Output current working device send_user "\n" send_user ">>>>> Working on $hostname @ [exec date] <<<<<\n" ...
true
d056cbd0e765e694f04f521e75e268332841d8cd
Shell
Vinotha16/WIN_ROLLBACK
/templates/linux_actualfacts/ubuntu14.04/rsh_216_actual.fact
UTF-8
553
2.734375
3
[ "BSD-3-Clause" ]
permissive
#!/bin/bash if [ $(sudo egrep "^shell|^login|^exec" /etc/inetd.* 2> /dev/null | wc -l) -ne 0 ] || [ $(sudo grep disable.*yes /etc/xinetd.conf /etc/xinetd.d/* 2> /dev/null | grep shell | wc -l) -ne 0 ] || [ $(sudo grep disable.*yes /etc/xinetd.conf /etc/xinetd.d/* 2> /dev/null | grep login | wc -l) -ne 0 ] || [ $(sudo g...
true
317eaf60e37b11f318f0726d04c78adc18932e74
Shell
CSU-CIRA/tempestd_data_assimilation
/TempestD_converter/splitH5dump
UTF-8
992
4.3125
4
[]
no_license
#!/bin/bash # Dumps the datasets in an HDF5 file to individual dump files - one for each # dataset. The files have the names of the datasets except that any spaces are # replaced with underscores. # Argument: # 1: path of the HDF5 file # 2: directory to put the dataset dump files #set -x # Get the name of this sc...
true
87625643fdcd5502546a8fbfb3ea9e38f5a00006
Shell
trasba/auto-ipv6
/ipv6.sh
UTF-8
517
3.203125
3
[]
no_license
#!/bin/bash cd "$(dirname "$0")" while read var value do export "$var"="$value" done < config regex='^([0-9a-fA-F]{0,4}:){1,7}[0-9a-fA-F]{0,4}$' if [[ $ipv6addr =~ $regex ]]; then echo $ipv6addr else echo "no valid ipv6 address" fi if [[ $ipv6gtwy =~ $regex ]]; then echo $ipv6gtwy else echo "no v...
true
22eae87a618082a36bed5df37633c408d94daa73
Shell
LadaKazinkina/usaivlrzzjw
/.default/act3.sh
UTF-8
113
2.859375
3
[]
no_license
#!/bin/bash main () { #ps -aux | less pwd echo $0 read -e -p "Variable=" variable echo $variable } main;
true
3385a54f8a8da8e9801810e704fa6288d6a0f7c1
Shell
Peemag/M3U-Playlist-Generator-for-http-streaming---BASH-Script
/Generate_Playlist.sh
UTF-8
2,129
3.9375
4
[]
no_license
#!/bin/sh # Author: Luca Oltenau # Version 0.1 - 10.10.2016 # # This simple script will generate a M3U playlist out of a specified folder containing media files, # and add an URL to the path, so you can use the Playlist in conjunction with a Web Server as a simple Media Streaming System. # All files will be scanned by...
true
ac9f960eb16f0a78c520ce1425ba2d599c57878b
Shell
hubmapconsortium/cwltool
/conformance-test.sh
UTF-8
5,036
3.875
4
[ "Apache-2.0" ]
permissive
#!/bin/bash venv() { if ! test -d "$1" ; then if command -v virtualenv > /dev/null; then virtualenv -p python3 "$1" else python3 -m venv "$1" fi fi # shellcheck source=/dev/null source "$1"/bin/activate } # Set these environment variables when running the script, e.g.: # version=v1....
true
af9f7bfe2f3d72a89f3ef2259b7d7765f23db756
Shell
RebacaInc/abot_charm
/oai-epc/hooks/hss-relation-changed
UTF-8
5,364
3.3125
3
[ "LicenseRef-scancode-generic-cla", "Apache-2.0", "LicenseRef-scancode-unknown-license-reference" ]
permissive
#!/bin/bash ################################################################################ # # Copyright (c) 2016, EURECOM (www.eurecom.fr) # All rights reserved. # # Redistribution and use in source and binary forms, with or without # modification, are permitted provided that the following conditions are met: # # 1....
true
2627664d496074104fff04a5d364730b737cd7d7
Shell
rajeshm7910/devportal-binary
/devportal-binary-bundle-Redhat-6-x86_64/lib/bash_toolkit.sh
UTF-8
14,480
4.34375
4
[]
no_license
#!/bin/bash ############################################################################### # Bash Toolkit: Useful functions for all scripts to use, such as user prompting # and output display. ############################################################################### # ------------------------------------------...
true
08c734d7d8169fac774ded0676f607b3801a9d63
Shell
wisehead/shell_scripts
/val_calc/data_from_file/gettopfamily.sh
UTF-8
1,038
3.3125
3
[]
no_license
############################################################# # File Name: gettopfamily.sh # Autohor: Hui Chen (c) 2020 # Mail: chenhui13@baidu.com # Create Time: 2020/03/22-09:27:37 ############################################################# #!/bin/sh #!/bin/bash # gettopfamily.sh # 说明: #[ $# -lt 1 ]:要...
true
95b12669eab92cd29b8a332dc4e48aa7f14cb2ea
Shell
tbui/dotfiles-1
/.bashrc
UTF-8
498
3.125
3
[]
no_license
# # ~/.bashrc # # If not running interactively, don't do anything [[ $- != *i* ]] && return # Setup the XDG config export XDG_CONFIG_HOME=~/.config # Setup nvim / vim alias vi='nvim' alias vim='nvim' export EDITOR='nvim' alias ls='ls --color=auto' PS1='[\u@\h \W]\$ ' # Setup powerline-shell function _update_ps1() ...
true
077554fdb3fd2d7b833f6fa59ad6642df2a03081
Shell
madanwork/pxcore-local
/examples/pxScene2d/src/jsMin.sh
UTF-8
556
3.8125
4
[ "LicenseRef-scancode-unknown-license-reference", "LicenseRef-scancode-other-permissive", "Apache-2.0" ]
permissive
#!/bin/bash if [ "$#" -lt 1 ] then printf "\n Usage: cCompiler <input.js> <output.js> \n\n" exit 1 fi INPUT=$1 OUTPUT=$2 if [ ! -e "$INPUT" ] then printf "\nCLOSURE COMPILER - Error: INPUT file '$INPUT' not found.\n\n" exit 1 fi CLOSURE_COMPILER=closure-compiler-v20170218.jar # Create default output fi...
true
069703cbd4ec1d96cfb53d3acc926cae5c6de6bd
Shell
cloudwm/installer
/tweaks/certbot-20-osrepo
UTF-8
526
3.140625
3
[]
no_license
#!/bin/bash # Add this at the begining of all scripts. if [ -f "include/startup.sh" ]; then . include/startup.sh elif [ -f "../include/startup.sh" ]; then . ../include/startup.sh fi echo "Installing certbot" | log installPackage software-properties-common waitOrStop 0 "Failed apt install: software-properties-...
true
52b964d5cbd7cf5f7d28ad7503f28d63dc90c0e8
Shell
DriveClutch/circleci-python
/tools/deployment.sh
UTF-8
293
2.71875
3
[]
no_license
#!/bin/bash -e if [[ -f ".circleci/debuglog" ]]; then set -x fi # Check if there is a deployment.sh in the repo and exec if [[ -x "tools/deployment.sh" ]]; then tools/deployment.sh exit $? fi # Container Images /tools/docker.sh # Helm Packages #/tools/helm.sh # #/tools/helm-install.sh
true
589e6586a6b1d4f68f4fc1f0a30ddad6ec02f6be
Shell
evankicks/kubernetes-samples
/deployment/kustomize-samples/spring/k8s/base/kubectl-apply-from-circle-ci.sh
UTF-8
455
2.703125
3
[]
no_license
#!/bin/bash source ~/.ssh/environment echo ${BASTION_USER} echo ${TENANT} echo ${DOCKER_ENV} # This updates context in ~/.kube/config file if it doesn't exist aws eks update-kubeconfig --name ${TENANT}-eks-${DOCKER_ENV} # Execute kubectl-aws-iam-auth.sh present in k8s/base sh /home/${BASTION_USER}/k8s/base/kubectl-aws...
true
a8768089e98addd827c1fcfac7a33ff43532476f
Shell
poojabhat1690/zebrafishAnalysis_Dec2017
/annotation/annotation/motifAnalysis/1
UTF-8
835
2.546875
3
[]
no_license
#!/bin/bash ml homer/4.9-foss-2017a cd /groups/ameres/Pooja/Projects/zebrafishAnnotation/sequencingRun_december2017/analysis/annotation/noPASacceptedSamples/geneLists_noPASaccepted/ rm *_proper.fasta for i in *.fasta do awk '{print ">\n" $0;}' "$i" > "$i"_proper.fasta mkdir /scratch/pooja/"$i" findMotifs.pl targets...
true
e8187e0d7ea09ea994377b0df0d110ad14c1bcc3
Shell
kiciek/daemontools-encore
/rts.tests/00-preamble.sh
UTF-8
844
3.171875
3
[ "LicenseRef-scancode-public-domain", "MIT" ]
permissive
PATH=`pwd`:/command:/usr/local/bin:/usr/local/sbin:/bin:/sbin:/usr/bin:/usr/sbin:/usr/X11R6/bin:/usr/ucb export PATH umask 022 die() { echo "$@" exit 1 } catexe() { cat > $1 || die "Could not create \"$1\"" chmod +x $1 || die "Could not chmod \"$1\"" } filter_svstat() { sed -e 's/[0-9]* seconds/...
true
ffa673f7cd74c8ea41a80919be274d5bfb23bec7
Shell
d-lopes/dmsplus
/scanner/src/upload.sh
UTF-8
6,679
3.671875
4
[ "Apache-2.0", "LicenseRef-scancode-unknown-license-reference" ]
permissive
#!/bin/bash # commen declarations LOGFILE="/var/run/logs/`date +%Y-%m-%d`_watch.log" BASE_DIR=/var/run DOCUMENT_API_URL=http://$WEB_HOST/api/documents # skip invalid input - we expect a file path if [ -z "$1" ]; then echo "`date +%Y-%m-%dT%H:%M:%S%:z` - ERROR: no input file provided" >> $LOGFILE 2>&1 exit 1 f...
true
9b1589d1ec485ed7463f2506f94be4b8e3e3aae4
Shell
nourey/build-gcp
/su.sh
UTF-8
5,211
3.578125
4
[ "MIT" ]
permissive
#!/bin/bash while : do cat WELCOME.txt printf "\n" read -p "+---------------------------------------+ | To start y. To exit n. | +---------------------------------------+" start_answer case $start_answer in [Yy]* )break;; [Nn]*)exit;; ...
true
8268dbe9b2fdf3bfa0ea5021439570e6dd23f820
Shell
message-db/message-db
/test/_controls/write-message-correlated.sh
UTF-8
430
2.953125
3
[ "MIT" ]
permissive
function write-message-correlated { local stream_name=${1:-$(stream-name)} local instances=${2:-1} local correlation_stream_name=${3:-"someCorrelation"} if [ ! -z ${CORRELATION+x} ]; then correlation_stream_name=$CORRELATION fi metadata="'{\"correlationStreamName\": \"$correlation_stream_name\"}'" ...
true
0b35463f5797ab3ce22d8151dce930bcb8cf5735
Shell
GangZhao-NOAA/NOAA_3drtma
/scripts/exrtma3d_updatevars.ksh
UTF-8
9,973
2.6875
3
[]
no_license
#!/bin/ksh --login set -x check_if_defined() { #usage: check_if_defined "var1_name" "var2_name" ... for str in "$@"; do eval "path=\${$str}" if [ -z "${path}" ]; then ${ECHO} "ERROR: \$${str} is not defined"; exit 1 fi done } check_dirs_exist() { #usage: check_dirs_exist "var1_name" "var2_name" .....
true
c89c20a8984f8373402c8a42628f436bf0615ffd
Shell
jasl8r/docker-seafile
/assets/runtime/env-defaults
UTF-8
1,338
2.546875
3
[]
no_license
#!/bin/bash DEBUG=${DEBUG:-$DEBUG_ENTRYPOINT} SEAFILE_TMP_DIR="${SEAFILE_ROOT_DATA_DIR}/tmp" CCNET_DATA_DIR=${CCNET_DATA_DIR:-$SEAFILE_ROOT_DATA_DIR/ccnet} SEAFILE_DATA_DIR=${SEAFILE_DATA_DIR:-$SEAFILE_ROOT_DATA_DIR/seafile} SEAHUB_DATA_DIR=${SEAHUB_DATA_DIR:-$SEAFILE_ROOT_DATA_DIR/seahub} SEAFILE_CONF_DIR="${SEAFI...
true
ec256288043e9fcd444bf2ecb5cebfccfe3b0aff
Shell
dlimery/aws-vpcs
/myCreateVpc.sh
UTF-8
4,629
4.21875
4
[]
no_license
#!/bin/bash # # Script filename = "myCreateVpc.sh" # Create AWS Virtual Private Cloud (VPCs) # Sourced from http://www.alittlemadness.com/category/bash/ # and from https://kvz.io/blog/2013/11/21/bash-best-practices/ set -o errexit set -o pipefail set -o nounset # Enabling bash tracing #set -o xtrace # Set magic vari...
true
07dcd7937872d9faff76d2eafae8eae674e12534
Shell
jirisimek98/bashScripts
/post-commit
UTF-8
365
2.578125
3
[]
no_license
#!/bin/bash CURRENTDIR=$(pwd); USR=root; PASS=redhat; echo ${CURRENTDIR} >> /home/jboss/opt/data/log.txt; git push http://${USR}:${PASS}@gogs.apps.playground.rhba.openshift-aws.rhocf-dev.com/root/jsimek-OS master; cd ../Production; git pull http://${USR}:${PASS}@gogs.apps.playground.rhba.openshift-aws.rhocf-dev.com...
true
82b2fa7a052a1431f944b8b32e0c181c48dcadbc
Shell
jambros2/ScratchRadio
/scripts/start_gnu_radio.sh
UTF-8
1,065
3.703125
4
[]
no_license
#!/bin/bash # # Starts the GNU Radio driver script which is used by Scratch to access the # GNU Radio functionality. Currently runs the script in the foreground for # tracing activity on the console. # GR_SCRIPT_NAME="/usr/lib/scratch2/scratch_extensions/gnuRadioDriver.py" COMMAND_PIPE_DIR="/tmp/gr-control" COMMAND_PIP...
true
4be14d04aa749e807911c8e7b19735a8b93be9ad
Shell
spring-cloud-samples/spring-cloud-contract-samples
/producer_with_dsl_restdocs/src/test/bash/generate_swagger.sh
UTF-8
734
3.296875
3
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash case "`uname`" in Darwin* ) uname="osx" ;; * ) uname="linux" ;; esac export ROOT="$( pwd )" export TEST_ROOT="${ROOT}/src/test" export SWAGYMNIA_BIN="${TEST_ROOT}/bash/${uname}/swaggymnia" PATH="${PATH}:${ROOT}/node/" export PATH echo "Generate postman from restdocs" node_mod...
true
8f116908f46b0b4ea3710a5b2b8209b77a015644
Shell
asabirov/centos_provision
/scripts/src/app/installer/stage3/setup_vars.sh
UTF-8
531
3.125
3
[ "MIT" ]
permissive
#!/usr/bin/env bash setup_vars(){ VARS['skip_firewall']='no' VARS['ssl']='no' VARS['db_root_password']=$(generate_password) VARS['db_name']='keitaro' VARS['db_user']='keitaro' VARS['db_password']=$(generate_password) VARS['db_restore']='no' VARS['db_restore_path_want_exit']='no' VARS['admin_login']='...
true
8b477290a8fea4a7413016e77cd272bcd5392f5c
Shell
4nalejo/gihack
/gihack
UTF-8
2,084
2.9375
3
[]
no_license
#!/bin/bash echo -e "\e[32m ___ ___ ___ ___ ___ / /\ ___ /__/\ / /\ / /\ /__/| / /:/_ / /\ \ \:\ / /::\ / /:/ | |:| / /:/ /\ / /:/ \__\:\ ...
true
31bb97e96e07644b7677d8fcdc18f391647864bf
Shell
Simon-Fuhaoyuan/EI401-KC4C
/stop_present_server.sh
UTF-8
574
3.484375
3
[]
no_license
#!/bin/bash # stop present_server i=$(ps -ef | grep presenter | grep video_analysis_person | grep -o '[0-9]\{1,\}' | head -n1) if test -z "$i" then echo "presenter server not in process!" else kill -9 $i echo "presenter server stop success!" fi # delete analysis results result_addr=$(tail -n1 present_server_config...
true
a2b65d91ff637ed1c1b3496ea949a70180a5b8d0
Shell
stephanenicolas/android-unit-test
/scripts/run-tests.sh
UTF-8
746
3.09375
3
[ "Apache-2.0" ]
permissive
#!/bin/sh echo "Running plugin tests." ./gradlew clean check install temp="$?" if [ "$temp" -ne 0 ] then echo "Error during the plugin tests. Gradle returned $temp." exit 1 fi echo "Success in running the plugin tests. Now running the plugin in a dummy application project." cd example ../gradlew clean test temp="$?"...
true
e554addb6250fee59d86912eeaaec2b6f3be667c
Shell
parkbruce/.bash
/think/fileinfo
UTF-8
327
3.1875
3
[]
no_license
#!/bin/bash # fileinfo FILES="/usr/sbin/accept /usr/sbin/pwck /usr/sbin/chroot /usr/bin/fakefile /sbin/badblocks /sbin/ypbind" clear echo "fileinfo" echo for f in $FILES; do if [ ! -e "$f" ]; then echo "$f does not exist" echo continue fi ls -l $f whatis $(basename $f) ech...
true
daeac507fc75ff73b02f295eb2d79cc049878f85
Shell
Anton-Cao/dotfiles
/install_spacemacs.sh
UTF-8
235
2.96875
3
[]
no_license
#!/bin/bash cd ~ if [ ! -f "~/.spacemacs" ]; then mv .emacs.d .emacs.d.bak mv .emacs .emacs.bak git clone https://github.com/syl20bnr/spacemacs ~/.emacs.d fi echo "Copy contents of spacemacs_user_config into .spacemacs"
true
48a4235fea8b9088df5faae6e311ff828f78e843
Shell
hashbang/shell-etc
/kernel/postinst.d/apt-auto-removal
UTF-8
2,798
4.15625
4
[ "LicenseRef-scancode-warranty-disclaimer", "MIT" ]
permissive
#!/bin/sh set -e # Author: Steve Langasek <steve.langasek@canonical.com> # # Mark as not-for-autoremoval those kernel packages that are: # - the currently booted version # - the kernel version we've been called for # - the latest kernel version (determined using rules copied from the grub # package for deciding ...
true
4a9585ea87f9fe2ff86ea57412f90094e2957afe
Shell
akankshamahajan15/Backup-filesystem-in-kernel
/CSE-506/testscript.sh
UTF-8
430
3.078125
3
[]
no_license
#!/bin/sh #This testscript runs multiple scripts from test01.sh to test12.sh #stores results in results file and running logs in log file /bin/rm -f log /bin/rm -f results #compile bkptcl.c and cbkptcl.c make touch log touch results for i in {01..13} do echo running script test$i.sh ./test$i.sh echo c...
true
5de182add7a55fd878d4cc62b11316176d047a4b
Shell
jelaas/bifrost-build
/all/opt-openldap-2.4.33-1/Build.sh
UTF-8
3,296
3.609375
4
[]
no_license
#!/bin/bash SRCVER=openldap-2.4.33 PKG=opt-$SRCVER-1 # with build version # PKGDIR is set by 'pkg_build'. Usually "/var/lib/build/all/$PKG". PKGDIR=${PKGDIR:-/var/lib/build/all/$PKG} SRC=/var/spool/src/$SRCVER.tgz [ -f /var/spool/src/$SRCVER.tar.bz2 ] && SRC=/var/spool/src/$SRCVER.tar.bz2 BUILDDIR=/var/tmp/src/$SRCVE...
true
741a4656076fcf4294b2267e9d7f0d886b151cf4
Shell
ezPappi/wifibsd
/netbsd/x86/cf/site/etc/rc.xml/ssh/ssh
UTF-8
1,390
4
4
[ "BSD-4-Clause-UC", "LicenseRef-scancode-other-permissive", "BSD-3-Clause" ]
permissive
#!/bin/sh # Startup ssh . /etc/rc.common SSH=ssh PIDFILE=/var/run/${SSH}d.pid conf_dir="/etc/${SSH}" ssh_keygen_flags="" command="/usr/sbin/${SSH}d" ConsoleMessage=echo StartService () { if [ -r $PIDFILE ]; then $ConsoleMessage "SSH already running" else if [ ! -f ${conf_dir}/ssh_host_key ]; then ...
true
cdceed7c11ae53481142202744b33cb56f11f9fb
Shell
keradus/scrape-pages
/publish.sh
UTF-8
652
3.453125
3
[ "MIT" ]
permissive
#!/bin/bash cd $(dirname $(dirname $0)) package_version="$TRAVIS_TAG" publish_package_to_npm() { echo '//registry.npmjs.org/:_authToken=${NPM_AUTH_TOKEN}' >> ~/.npmrc \ && npm run build \ && cd lib \ && npm publish \ && cd .. } push_version_to_github() { git checkout -b master \ && git add p...
true
ec95e51b0f16b2b3cb760874db1c9ad8fd56e0e7
Shell
eclipse/steady
/docker/kb-importer/start.sh
UTF-8
2,305
3.484375
3
[ "Apache-2.0", "EPL-1.0", "BSD-3-Clause", "EPL-2.0", "MIT" ]
permissive
#!/bin/bash mkdir -p /kb-importer/data cd /kb-importer/data if [ -d $KB_IMPORTER_CLONE_FOLDER ] && [ ! -z $KB_IMPORTER_CLONE_FOLDER ]; then mkdir -p $KB_IMPORTER_CLONE_FOLDER fi if [ -f /kb-importer/kb-importer.jar ]; then mv /kb-importer/kb-importer.jar /kb-importer/kaybee /kb-importer/data fi #substitute env va...
true
d7c91bb02d557294277d17f7dda669982988de0f
Shell
trickv/trick_skel
/bin/trick_skel/git-clone
UTF-8
403
3.0625
3
[]
no_license
#!/usr/bin/env bash # example: https://github.com/trickv/radio_flyer # or : https://gitlab.com/pvanstaveren/foo # perhaps: git@github.com:trickv/secret_thing ? wont work yet host=$(echo $1 | cut -d/ -f3) author=$(echo $1 | cut -d/ -f4) repo=$(echo $1 | cut -d/ -f5) src_dir=$HOME/src/$host/$author echo "This goes...
true
326e978613d9558ae6adf8823ff28a4fd4c2adad
Shell
NicHub/QUIZZ
/gitpull.sh
UTF-8
1,062
2.96875
3
[]
no_license
#!/bin/bash case "$1" in 1) echo "1) Pull de rPi vers Mac" git pull ssh://pi@davberrypi.local:22/home/pi/quizz ;; 2) echo "2) Pull de Mac vers rPi" git pull ssh://nico@nicobook.local:22/Users/nico/Documents/projets/quizz/ ;; 3) echo "3) Pull de Mac vers USB" gi...
true
0821e5c20cf800c9cd22d11708e761790beb7e4a
Shell
veiset/config
/.bashrc
UTF-8
1,790
3.1875
3
[]
no_license
# # ~/.bashrc # # If not running interactively, don't do anything [[ $- != *i* ]] && return alias ls='ls --color=auto' PS1='[\u@\h \W]\$ ' # radeon gpu power management (laptop) alias profilepm='sudo bash -c "echo profile > /sys/class/drm/card0/device/power_method"' alias auto='profilepm && sudo bash -c "echo auto >...
true
9be81b4a55b973e0d6ee50a5f0408f60d505349e
Shell
OutsourcedGuru/makemake
/makemake
UTF-8
1,426
3.984375
4
[]
no_license
#!/bin/bash echo -n "Determining project name... " projectName=${PWD##*/} projectname=`echo "$projectName" | tr '[:upper:]' '[:lower:]'` PROJECTNAME=`echo "$projectName" | tr '[:lower:]' '[:upper:]'` printf '%s\n' "$projectname" echo -n "Reviewing .cpp files in current directory..." cppFiles=`ls *.cpp` for eachfile in...
true
7377ac8eb12f850f087debfbb3c35195c5195478
Shell
iarna/dotfiles
/install
UTF-8
2,699
4.28125
4
[]
no_license
#!/bin/bash INSTALLTO=~/.etc FINAL=~ if [ -z "$1" ]; then DRYRUN=true elif [ "$1" == "now" ]; then DRYRUN=false elif [[ "$1" =~ / ]]; then INSTALLTO="$@" DRYRUN=false else echo "Form: $0 [now]" 1>&2 echo "By default, install will print out a list of what it would do." 1>&2 echo "If you pass \"now\" as an argumen...
true
d417f5aef47d7f6fdd819a38dfa17ff08b041849
Shell
gastonginestet/ejerciciosISO
/Practica 3 2019/Ej13c-EsArchivoODirectorio.sh
UTF-8
503
3.921875
4
[]
no_license
#!/bin/bash #Primero chequeo cantidad de parametros if [ $# -ne 1 ]; then echo "La cantidad de parametros es incorrecta" exit 1 fi #Chequeo si la ruta existe (si es archivo o directorio da lo mismo) if [ -e $1 ]; then echo "Si existe" if [ -f $1 ];then echo "Es un archivo" else echo "Es un directorio" fi els...
true
d99b7d295c0cdc8b997e93a2685dcfc3804a5074
Shell
SammyEnigma/qmlnet
/build/travis.sh
UTF-8
479
3.421875
3
[ "MIT" ]
permissive
#!/usr/bin/env bash set -e set -x SCRIPT_DIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd ) # Before we run the build, get gitversion and generate a version.json. dotnet tool install -g GitVersion.Tool --version 5.3.4 export PATH="$PATH:$HOME/.dotnet/tools" dotnet gitversion > version.json if [ "$TRAVIS_OS_NAME" ...
true
857f0cb76fd640747d2680812f85e587a9a0009f
Shell
tofaramac/ansible
/roles/maldetect/templates/maldet.j2
UTF-8
3,500
3.171875
3
[ "BSD-3-Clause" ]
permissive
#!/usr/bin/env bash export PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin:$PATH export LMDCRON=1 inspath='/usr/local/maldetect' intcnf="$inspath/internals/internals.conf" if [ -f "$intcnf" ]; then source $intcnf else echo "\$intcnf not found." exit 1 fi if [ -f "$cnf" ]; then source $cnf if [ -...
true
dcdde1041d7cb981c6745d1596467ffb17c4e800
Shell
ewels/miRNA_processing
/old_files/get_mapped_reads_fastq.sh
UTF-8
1,786
3.609375
4
[]
no_license
#!/bin/bash # MODULE LOADING source $HOME/.virtualenvs/python-276/bin/activate # Modules, activate the module command case "$(basename $SHELL)" in -sh|sh|*/sh) modules_shell=sh ;; -ksh|ksh|*/ksh) modules_shell=ksh ;; -zsh|zsh|*/zsh) modules_shell=zsh ;; -bash|bash|*/bash) modules_shell...
true